Subject: Re: [PATCH v4 01/10] doc: define unambiguous type mappings across C and Rust

From: Junio C Hamano <[email-masked]>
Date: Sat, 15 Nov 2025 12:03:55 -0800

"D. Ben Knoble" <[email-masked]> writes:

>> Me neither, but I suspect it may mostly use of non-word "signless"
>> that is the issue.
> ...
> Agreed, and I suspect this is roughly the implementation.
>
> My point was that Ezekiel seemed to justify (?) the use of "signless"
> by pointing to those warnings (I personally am on the fence for how to
> treat the combination of facts, but it seems useful to consider that
> char is not easily comparable with integers of various signedness).

Agreed.  I think your point matches my suspicion that the use of the
non-word "signless" was what Ramsay reacted.  The 'char' with the
implementation defined signedness is making -Wsign-compare even more
quirky than it already is.